Subject: Re: [bitcoin-dev] Bitcoin covenants are inevitable

From: Corey Haddad <[email-masked]>
Date: Sun, 12 Jun 2022 12:35:06 -0400

Even if demand for block space is currently not needed to pay for security
due to the block rewards, demand for BTC itself is needed for those rewards
to be worth anything.
Bitcoin, as a proof of work system, is only secure at scale. Therefore
continued growth and user adoption are both critical for Bitcoin's
security. Perhaps the question then becomes
who feels that Bitcoin is inevitable, and who feels it is possible that it
can damaged or destroyed?